curl --request GET \
--url https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.snitcher.com/v1/workspaces/{workspaceUuid}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"last_page": 10,
"per_page": 15,
"total": 150,
"next_page_url": "https://api.example.com/v1/workspaces?page=2",
"prev_page_url": null,
"first_page_url": "https://api.example.com/v1/workspaces?page=1",
"last_page_url": "https://api.example.com/v1/workspaces?page=10",
"path": "https://api.example.com/v1/workspaces",
"from": 1,
"to": 15,
"data": [
{
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"email": "john@pirateinc.com",
"first_name": "John",
"last_name": "Doe",
"position": "CEO",
"headline": "CEO at Pirate Inc.",
"department": [
"IT"
],
"seniority": "Senior",
"linkedin_url": "https://linkedin.com/in/johndoe",
"location": {
"city": "Amsterdam",
"state": "North Holland",
"country": "Netherlands",
"country_code": "NL"
},
"profiles": [
{
"name": "Twitter",
"handle": "@pirateinc",
"url": "https://twitter.com/pirateinc"
}
]
}
],
"success": true,
"refreshing": false
}{
"success": false,
"message": "The domain or organisation_uuid must be provided"
}Get contacts for an organisation
Authorizations
Enter your personal access token (PAT) to authenticate
Path Parameters
The UUID of the workspace
"550e8400-e29b-41d4-a716-446655440000"
Query Parameters
Either organisation_uuid or domain must be provided
"pirateinc.com"
Either organisation_uuid or domain must be provided
"550e8400-e29b-41d4-a716-446655440000"
The page number for pagination
1
The number of organisations per page (1-1000)
1 <= x <= 100010
Response
A paginated list of the contacts. Contacts are served from Snitcher's store; when a domain has not been looked up recently the lookup runs in the background and refreshing is true, meaning the list may still grow. Poll the same request until refreshing is false.
1
10
15
150
"https://api.example.com/v1/workspaces?page=2"
null
"https://api.example.com/v1/workspaces?page=1"
"https://api.example.com/v1/workspaces?page=10"
"https://api.example.com/v1/workspaces"
1
15
Show child attributes
Show child attributes
true
Whether a contact lookup for this domain is still running in the background.
false